/* $Id: test5.c,v 1.3 2009/01/27 15:58:54 potyra Exp $ 
 *
 * Copyright (C) 2007-2009 FAUcc Team <info@faumachine.org>.
 * This program is free software. You can redistribute it and/or modify it
 * under the terms of the GNU General Public License, either version 2 of
 * the License, or (at your option) any later version. See COPYING.
 */
int func0(void) { return 0; }
int func1(void) { return 0; }
int func2(void) { return 0; }
int func3(void) { return 0; }

int
main(void)
{
	int a;
	int b;
	int c;

	a = 0;
	b = 1;

	c = a + 2 * b;

	b || func2();
	a && func3();
	a ? func0() : func1();

	return a + b + c;
}
